## dpkg 1.21.1ubuntu2.6+11.0trisquel4

=== debian/changelog ===
dpkg (1.21.1ubuntu2.6+11.0trisquel4) aramo-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 24 Sep 2025 16:51:51 +0000
