=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Homepage: https://wiki.debian.org/Teams/Dpkg
@@ -112,6 +112,7 @@
 Priority: optional
 Architecture: all
 Multi-Arch: foreign
+Replaces: trisquel-base-data
 Depends:
  ${misc:Depends},
  ${perl:Depends},
